package com.mortals.xhx.module.operate.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.OrderCol;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.operate.model.OperateLogEntity;
import com.mortals.xhx.module.operate.service.OperateLogService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 平台用户操作日志业务
*
* @author zxfei
* @date 2022-08-17
*/
@RestController
@RequestMapping("operate/log")
public class OperateLogController extends BaseCRUDJsonBodyMappingController<OperateLogService,OperateLogEntity,Long> {

    @Autowired
    private ParamService paramService;

    public OperateLogController(){
        super.setModuleDesc( "平台用户操作日志业务");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "operType", paramService.getParamBySecondOrganize("OperateLog","operType"));
        this.addDict(model, "platformMark", paramService.getParamBySecondOrganize("OperateLog","platformMark"));

        super.init(model, context);
    }

    @Override
    protected void doListBefore(OperateLogEntity query, Map<String, Object> model, Context context) throws AppException {
        List<OrderCol> orderColList = new ArrayList<>();
        orderColList.add(new OrderCol("createTime", OrderCol.DESCENDING));
        query.setOrderColList(orderColList);
        super.doListBefore(query, model, context);
    }

    @Override
    @UnAuth
    public String save(@RequestBody OperateLogEntity entity) {
        return super.save(entity);
    }
}